
QGIS Application - Bug report #10575

Python error when opening SAGA tools in latest QGIS master

2014-06-13 03:45 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 18982

Description

Traceback (most recent call last):

  File "/usr/local/share/qgis/python/plugins/processing/gui/ProcessingToolbox.py", line 192, in executeAlgorithm

    dlg = ParametersDialog(alg)

  File "/usr/local/share/qgis/python/plugins/processing/gui/ParametersDialog.py", line 42, in init

    AlgorithmExecutionDialog.__init__(self, alg, self.scrollArea)

  File "/usr/local/share/qgis/python/plugins/processing/gui/AlgorithmExecutionDialog.py", line 107, in init

    isText, help = self.alg.help()

  File "/usr/local/share/qgis/python/plugins/processing/algs/saga/SagaAlgorithm.py", line 407, in help

    html = ('￼' % imgpath) + html

TypeError: cannot concatenate 'str' and 'NoneType' objects

does not happen with everyone (one for example is "Difference")

History

#1 - 2014-06-13 07:02 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

fixed with 925b91f48bcaadb71902ff9f10b822d0d94c713e

#2 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
